package com.ruoyi.project.sems.mapper;


import com.ruoyi.project.sems.domain.TSpecdevYlrq;

import java.util.List;

/**
 * 特种设备压力容器台账Mapper接口
 *
 * @author ruoyi
 * @date 2021-06-30
 */
public interface TSpecdevYlrqMapper {

    /**
     * 查询特种设备压力容器台账
     *
     * @param ids 特种设备压力容器台账ID集合
     * @return 特种设备压力容器台账
     */
    public List<TSpecdevYlrq> selectTSpecdevYlrqByIds(List<Long> ids);

    /**
     * 查询特种设备压力容器台账
     *
     * @param id 特种设备压力容器台账ID
     * @return 特种设备压力容器台账
     */
    public TSpecdevYlrq selectTSpecdevYlrqById(Long id);

    /**
     * 查询特种设备压力容器台账列表
     *
     * @param tSpecdevYlrq 特种设备压力容器台账
     * @return 特种设备压力容器台账集合
     */
//    @DataScopePlant(deptAlias = "d")
    public List<TSpecdevYlrq> selectTSpecdevYlrqList(TSpecdevYlrq tSpecdevYlrq);

    List<TSpecdevYlrq> selectTSpecdevYlrqListByYear(TSpecdevYlrq tSpecdevYlrq);
    /**
     * 新增特种设备压力容器台账
     *
     * @param tSpecdevYlrq 特种设备压力容器台账
     * @return 结果
     */
    public int insertTSpecdevYlrq(TSpecdevYlrq tSpecdevYlrq);

    /**
     * 修改特种设备压力容器台账
     *
     * @param tSpecdevYlrq 特种设备压力容器台账
     * @return 结果
     */
    public int updateTSpecdevYlrq(TSpecdevYlrq tSpecdevYlrq);

    /**
     * 删除特种设备压力容器台账
     *
     * @param id 特种设备压力容器台账ID
     * @return 结果
     */
    public int deleteTSpecdevYlrqById(Long id);

    /**
     * 批量删除特种设备压力容器台账
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpecdevYlrqByIds(Long[] ids);

    void duplicateTSpecdevYlrq();
}
